package riven.classpath.ui;

import javax.swing.border.Border;
import javax.swing.border.CompoundBorder;
import javax.swing.border.EmptyBorder;

public class BorderUtil {
	public static Border empty(int px) {
		return new EmptyBorder(px, px, px, px);
	}

	public static Border compound(Border... outerToInner) {
		Border compound = null;
		for (Border border : outerToInner) {
			if (compound == null) {
				compound = border;
			} else {
				compound = new CompoundBorder(compound, border);
			}
		}
		return compound;
	}
}
